function selectAll(checkBox) {
    if(checkBox) {
        if (checkBox.checked) {
            $(checkBox).parent('label').parent("div").next("div").next(".k-list-scroller").find("li").each(function () {
                if(!$(this).hasClass("k-state-selected")) {
                    $(this).trigger("click");
                }
            });
            $(checkBox).prop('checked', true);
        } else {
            $(checkBox).parent('label').parent("div").next("div").next(".k-list-scroller").find("li").each(function () {
                if($(this).hasClass("k-state-selected")) {
                    $(this).trigger("click");
                }
            });
            $(checkBox).prop('checked', false);
        }
    }
}

(async function ()
{
    if (typeof CefSharp !== 'undefined') {
        await CefSharp.BindObjectAsync("jsEventHandler");
    }
})();

function CloseBrowserControl() {    
    if (typeof jsEventHandler !== 'undefined') {
        jsEventHandler.raiseEvent('close', null);
    }
}

var VersionUpdateLibrary = VersionUpdateLibrary || (function(){
    return {        
        checkForUpdate : function(url) { 
            $.get( url, function( data ) {
                var currentVersion = sessionStorage.getItem('currentVersion');
                if(currentVersion !== data) {
                    sessionStorage.setItem('currentVersion', data);                    
                    //window.location.reload(true);                    
                }
            }).fail(function() {
                console.log('unable to fetch the current version from backend');
            });           
        }
    };
}());